---
lang: en
title: 'API docs: sequelize.loopbacksequelizecomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.loopbacksequelizecomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [LoopbackSequelizeComponent](./sequelize.loopbacksequelizecomponent.md)

## LoopbackSequelizeComponent class

**Signature:**

```typescript
export declare class LoopbackSequelizeComponent implements Component 
```
**Implements:** [Component](./core.component.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(application, options)](./sequelize.loopbacksequelizecomponent._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `LoopbackSequelizeComponent` class


</td></tr>
</tbody></table>


